﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Maintenance and validation styles */

.alert-maintenance {
    background-image: -webkit-linear-gradient(top,#F7E0A8 0,#F1811190 100%);
    background-image: -o-linear-gradient(top,#F7E0A8 0,#F1811190 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#F7E0A8),to(#F1811190));
    background-image: linear-gradient(to bottom,#F7E0A8 0,#F1811190 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fffcf8e3', endColorstr='#fff8efc0', GradientType=0);
    background-repeat: repeat-x;
    border-color: #F7E0A8;
}

.alert-maintenance {
    color: #333333;
    background-color: #F7E0A8;
    border-color: #F7E0A8;
}

.alert-standby {
    background-image: -webkit-linear-gradient(top,#F7E0A8 0,#F1811190 100%);
    background-image: -o-linear-gradient(top,#F7E0A8 0,#F1811190 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#F7E0A8),to(#F1811190));
    background-image: linear-gradient(to bottom,#F7E0A8 0,#F1811190 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fffcf8e3', endColorstr='#fff8efc0', GradientType=0);
    background-repeat: repeat-x;
    border-color: #F7E0A8;
}

.alert-standby {
    color: #FFFFFF;
    background-color: #F7E0A8;
    border-color: #F7E0A8;
}

.panel-maintenance {
    border-color: #F7E0A8;
}

    .panel-maintenance > .panel-heading {
        color: #333333;
        background-color: #F7E0A8;
        border-color: #F7E0A8;
    }

    .panel-maintenance > .panel-heading {
        background-image: -webkit-linear-gradient(top,#F7E0A8 0,#F5C47C 100%);
        background-image: -o-linear-gradient(top,#F7E0A8 0,#F5C47C 100%);
        background-image: -webkit-gradient(linear,left top,left bottom,from(#F7E0A8),to(#F5C47C));
        background-image: linear-gradient(to bottom,#F7E0A8 0,#F5C47C 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#ffe8e8e8', GradientType=0);
        background-repeat: repeat-x;
    }

.alert-warning {
    color: #333333;
}

/* Validation styles */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

/* Tree styles */
.tree, .tree ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

    .tree ul {
        margin-left: 1em;
        position: relative;
    }

        .tree ul ul {
            margin-left: .5em;
        }

        .tree ul:before {
            content: "";
            display: block;
            width: 0;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            border-left: 1px solid;
        }

    .tree li {
        margin: 0;
        padding: 0 1em;
        color: #369;
        font-weight: 700;
        position: relative;
        border: none;
        overflow: auto;
    }

    .tree ul li:before {
        content: "";
        display: block;
        width: 10px;
        height: 0;
        border-top: 1px solid;
        margin-top: -1px;
        position: absolute;
        top: 1em;
        left: 0;
    }

    .tree ul li:last-child:before {
        background: #fff;
        height: auto;
        top: 1em;
        bottom: 0;
    }

.indicator {
    margin-right: 5px;
}

.tree li a {
    text-decoration: none;
    color: #369;
}

.tree li.selected label {
    background-color: #5084d2;
    color: white;
}

.tree li button, .tree li button:active, .tree li button:focus {
    text-decoration: none;
    color: #369;
    border: none;
    background: transparent;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    outline: 0;
}

/* Margins */
.margin-tb {
    margin: 1em 0em;
}

.margin-b {
    margin-bottom: 1em;
}

.margin-t {
    margin-top: 1em;
}

.padding-lr {
    padding-left: 15px;
    padding-right: 15px;
}

.btn-margin-tb {
    margin: 2px 0px;
}

/* Inputs */
.input-number {
    max-width: 120px;
}

/* Checkbox switch */
.checkbox-switch > input[type="checkbox"] {
    display: none;
}

.checkbox-switch > span {
    margin-right: 10px;
}

.checkbox-switch > label {
    cursor: pointer;
    position: relative;
}

    .checkbox-switch > label::before {
        content: '';
        background-color: #818181;
        opacity: 0.3;
        position: absolute;
        top: -4px;
        width: 30px;
        height: 10px;
        border-radius: 15px;
        box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
        transition: all 0.3s ease;
    }

    .checkbox-switch > label::after {
        content: '';
        background-color: #f1f1f1;
        position: absolute;
        left: -4px;
        top: -8px;
        height: 18px;
        width: 18px;
        border-radius: 15px;
        box-shadow: 0 1px 3px 1px rgba(0, 0, 0, 0.4);
        transition: all 0.3s ease;
    }

.checkbox-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}

.checkbox-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 16px;
}

/* Animations */
.glyphicon-refresh-animate {
    -animation: spin 1s infinite linear;
    -webkit-animation: spin2 1s infinite linear;
}

@-webkit-keyframes spin2 {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: scale(1) rotate(0deg);
    }

    to {
        transform: scale(1) rotate(360deg);
    }
}

/*bootstrap colors: danger: #a94442 warning: #f0ad4e success: #5cb85c primary: #337ab7 */

.text-background-color-warn-animate {
    -webkit-animation-name: background-color-warn;
    -webkit-animation-duration: 1s;
    -webkit-animation-fill-mode: backwards;
    animation-name: background-color-warn;
    animation-duration: 1s;
    animation-fill-mode: backwards;
}

@-webkit-keyframes background-color-warn {
    0% {
    }

    50% {
        background-color: #f0ad4e33;
    }

    100% {
    }
}

@keyframes background-color-warn {
    0% {
    }

    50% {
        background-color: #f0ad4e33;
    }

    100% {
    }
}

/* Popover styles */
.popover {
    min-width: 300px;
    max-width: 40%;
}

.popover-content {
    word-wrap: break-word;
}

.popover-title {
    background-color: #FFE2E2;
    color: #b10000;
    font-size: 1.2em;
    font-weight: bold;
    text-align: center;
}

/* Full screen panel styles */
.panel-actions {
    margin-top: -20px;
    margin-bottom: 0;
    text-align: right;
}

.panel-fullscreen {
    display: block;
    z-index: 9999;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    overflow: auto;
}

.panel-body-fullscreen {
    max-height: none !important;
    overflow: auto !important;
}

/* Table styles */
.table-pager > td {
    padding-top: 10px;
}

    .table-pager > td > a {
        background-color: #f5f5f5;
        border: 1px solid #ccc;
        border-radius: 3px;
        padding: 3px 7px;
    }

        .table-pager > td > a:hover {
            background-color: #f0f0f0;
        }

/* input file styles */
.btn-file {
    position: relative;
    overflow: hidden;
}

    .btn-file input[type=file] {
        position: absolute;
        top: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        font-size: 100px;
        text-align: right;
        filter: alpha(opacity=0);
        opacity: 0;
        outline: none;
        background: white;
        cursor: inherit;
        display: block;
    }
